Subject: [bug#70087] [PATCH 1/4] gnu: gecode: Update to development version 6.3.0.

From: Andreas Enge <[email-masked]>
Date: Tue, 14 May 2024 13:44:31 +0200

Hello,

Am Tue, May 14, 2024 at 09:31:47AM +0200 schrieb Herman Rimm:
> A new version is required because for e.g. [1] the current gecode gives:
>   $ minizinc --solver gecode magic_square.mzn

thanks for the example! Actually you can also drop "--solver gecode", since
gecode is the default choice. And when doing
$ minizinc --solver coin-bc magic_square.mzn
it prints a solution.

So this is a good reason for updating gecode.
I do not know what would be a good commit; maybe the most recent one,
or anything before if that looks more stable. I will let you have
a look.

> > in any case it could not be called 6.3.0, since there is no such release.
> Can I use the 'git-version' procedure in the updated package and create
> a 'gecode/pinned' package which inherits from it for the 6.2.0 release?

As I understand things, you use '(git-version "6.2.0" 1 commit-number)'
for the first Guix package created from a release after 6.2.0.
There is no reason to have two packages - only minizinc depends on it,
and this is actually requiring a new package. So indeed, just update
the package.

Andreas